# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2


IUSE=""

S=${WORKDIR}/vdrc-${PV}
DESCRIPTION="Video Disk Recorder Commander Plugin"
HOMEPAGE="http://www.vdrportal.de/"
SRC_URI="http://www.vdrportal.de/download/vdr-vdrc-0.0.8.tgz"
KEYWORDS="~x86"
SLOT="0"
LICENSE="GPL"

DEPEND="virtual/vdr"

VDRVERSION=$(awk -F'"' '/VDRVERSION/ {print $2}' /usr/include/vdr/config.h )

src_unpack() {
	unpack ${A}
}

src_compile() {
	pwd
	sed -i "/cp.*LIBDIR/d" Makefile
	sed -i "s/^DVBDIR.*$/DVBDIR = \/usr/" Makefile
	sed -i "s/^VDRDIR.*$/VDRDIR = \/usr\/include\/vdr/" Makefile
	sed -i "s/^LIBDIR.*$/LIBDIR = \/usr\/lib\/vdr/" Makefile
	make all|| die "compile problem"
}

src_install() {
	newlib.so libvdr-vdrc.so libvdr-vdrc.so.${VDRVERSION}
	dodoc COPYING HISTORY README TODO
}

pkg_postinst() {
	echo
	einfo "you must add the module to /etc/conf.d/vdr and"
	einfo "restart vdr to aktivate it."
	echo
}
